# dsat_api

This API is for DSAT VICS project, including PDA Application, GATE Website and text-to-speech system.

# Progress

- API for App is done
- API for gate webiste's api is not yet implemented

# How to run

## Prerequisite:

- nodejs
- npm
- yarn

```
yarn start
```

Default port is 3001, if you would like to use the customised port, please use the following command to start the api.

```
PORT={port} yarn start
// e.g. PORT=5001 yarn start
```

# Functions

The functions are mainly redirect the body/params to call ATOS's VICS api, so for the request and respond please refer to their API docs.

1. checkIn
   - App: check whether vehicle is valid for login
2. getCenter
   - App: Get center after login for user to select
3. login
   - App: Login and get JSESSIONID
4. logout

- App: Pass the JSESSIONID for ending the session

5. uploadPhoto

- App: Upload photo when checkin is passed

# Remarks

Original design is that we have a whitelist database and store/ update data at every connection with VICS database.

Since the ATOS team said their current api performance is still OK, so we can directly get data from their database through their api now. Thus no need to setup the whitelist database
