import apiResponse from "../../utils/apiResponse";
import express from "express";
import HttpError from "http-errors";
import axios from "axios";
import { closeGate } from "../../utils/gate/closeGate";

export default async function (req: express.Request, res: express.Response) {
  const { apiUrl, sessionId } = req.query as any;
  try {
    if (apiUrl && sessionId){
      await closeGate();
      return apiResponse(res, "CloseGate", "1.0", {message: "Gate closed."});
    } else {
      return apiResponse(res, "CloseGate", "1.0", { error: "Invalid" }, 403);
    }
  } catch (err) {
    console.log("==== err", err);
    throw err;
  }
}
