import apiResponse from "../../utils/apiResponse";
import express from "express";
import HttpError from "http-errors";
import axios from "axios";
import { openGate } from "../../utils/gate/openGate";
export default async function (req: express.Request, res: express.Response) {
  try {
    const { plateNo, vehCat, machineId, apiUrl, sessionId } =
      req.body as any;

    const result = await axios.post(
      `${apiUrl}/api/v1/que/checkVehExit`,
      {
        plateNo,
        vehCat,
        machineId,
      },
      {
        headers: { Cookie: sessionId },
      }
    );
      // result.data;
    if (result.data) {
      if (result.data.result == 'F-9103') {
        await openGate();
      }
      return apiResponse(res, "Exit", "1.0", result.data);
    } else {
      return apiResponse(res, "Exit", "1.0", {
        error: "failed to exit",
      });
    }
  } catch (err) {
    // @ts-ignore
    console.log("potential error:",err?.response?.data?.resultMsg)
    return apiResponse(res, "Exit", "1.0", {
       //@ts-ignore
      error: err?.response?.data?.resultMsg || "failed to exit",
    }, 500);
  }
}
