import apiResponse from "../../utils/apiResponse";
import express from "express";
import HttpError from "http-errors";
import axios from "axios";

export default async function (req: express.Request, res: express.Response) {
  try {
    const { userId, apiUrl, sessionId } = req.query as any;

    axios
      .get(`${apiUrl}/api/v1/ctr/getCenter/${userId}`, {
        headers: { Cookie: sessionId },
      })
      .then((result) => {
        console.log(result);
        if (result.data) {
          return apiResponse(res, "Center", "1.0", result.data);
        } else {
          return apiResponse(res, "Center", "1.0", { error: "Invalid" });
        }
      })
      .catch((err) => {
        console.log("====", err);
        return apiResponse(res, "Center", "1.0", { error: "network" });
      });
  } catch (err) {
    console.log("==== err", err);
    throw err;
  }
}
