import apiResponse from "../../utils/apiResponse";
import express from "express";
import HttpError from "http-errors";
import axios from "axios";

export default async function (req: express.Request, res: express.Response) {
  try {
    const { machineId, openDate, length, apiUrl, sessionId } = req.query as any;

    axios
      .get(`${apiUrl}/api/v1/que/getOpenList`, {
        headers: { Cookie: sessionId },
        params: {
          machineId,
          openDate,
          length
        }
      })
      .then((result) => {
        // console.log(result.data);
        if (result.data) {
          return apiResponse(res, "OpenList", "1.0", result.data);
        } else {
          return apiResponse(res, "OpenList", "1.0", { error: "Invalid" }, 403);
        }
      })
      .catch((err) => {
        console.log("====", err);
        return apiResponse(res, "OpenList", "1.0", { error: err }, 403);
      });
  } catch (err) {
    console.log("==== err", err);
    throw err;
  }
}
