import express from "express";
import { AddressInfo } from "net";
import * as bodyParser from "body-parser";
import morgan from "morgan";
import { errorHandler } from "./errorHandler";
import router from "./api/index";
import cors from "cors";

const app = express();
app.disable("x-powered-by");
app.use(bodyParser.json({ limit: "50mb" }));
app.use(morgan("dev"));
app.use(cors());
app.use("/", router);
app.use(errorHandler);

const server = app.listen(Number(process.env.PORT || 3001), () => {
  console.log("Listening Port", (server.address() as AddressInfo).port);
});