import {
  AllowNull,
  AutoIncrement,
  Column,
  DataType,
  Model,
  PrimaryKey,
  Table,
} from "sequelize-typescript";

@Table({ tableName: "VICS_QUE_GATE_LOG", createdAt: false, updatedAt: false })
export class Logs extends Model {
  @PrimaryKey
  @AutoIncrement
  @Column({ field: "ID", type: DataType.INTEGER })
  public id?: number;

  @AllowNull
  @Column({ field: "PLATE_NO", type: DataType.TEXT })
  public plateNo?: string;
  @AllowNull
  @Column({ field: "VEH_TYPE", type: DataType.TEXT })
  public vehicleType?: string;
  @AllowNull
  @Column({ field: "OPEN_TYPE", type: DataType.TEXT })
  public openType?: string;
  @AllowNull
  @Column({ field: "MACHINE_ID", type: DataType.TEXT })
  public machineId?: string;
  @AllowNull
  @Column({ field: "CENTER_CODE", type: DataType.TEXT })
  public centerCode?: string;
  @AllowNull
  @Column({ field: "BOOKING_TIME", type: DataType.TEXT })
  public bookingTime?: string;
  @AllowNull
  @Column({ field: "PARKING_NAME", type: DataType.TEXT })
  public parkingName?: string;
  @AllowNull
  @Column({ field: "CREATE_DATE", type: DataType.DATE })
  public createDate?: Date;
  @AllowNull
  @Column({ field: "CREATE_USER", type: DataType.TEXT })
  public createUser?: string;
  @AllowNull
  @Column({ field: "BOOKING_TYPE", type: DataType.TEXT })
  public bookingType?: string;
  @AllowNull
  @Column({ field: "CHECKIN_TIME", type: DataType.DATE })
  public checkinTime?: Date;
}
