import {
  Column,
  DataType,
  Model,
  PrimaryKey,
  Table,
} from "sequelize-typescript";

@Table({ tableName: "VICS_QUE_WHITE_LIST", createdAt: false })
export class Whitelist extends Model {
  @PrimaryKey
  @Column({ field: "ID", type: DataType.INTEGER })
  public id?: number;
  @Column({ field: "PLATE_NO", type: DataType.INTEGER })
  public plateNo?: string;
  @Column({ field: "VEH_TYPE", type: DataType.INTEGER })
  public vehicleType?: string;
  @Column({ field: "BOOKING_TYPE", type: DataType.INTEGER })
  public bookingType?: string;
  @Column({ field: "CENTER_CODE", type: DataType.INTEGER })
  public centerCode?: string;
  @Column({ field: "BOOKING_TIME", type: DataType.INTEGER })
  public bookingTime?: string;
  @Column({ field: "PACKING_NAME", type: DataType.INTEGER })
  public parkingName?: string;
  @Column({ field: "CHECK_IN_TIME", type: DataType.INTEGER })
  public checkInTime?: Date;
  @Column({ field: "IS_CHECK_IN", type: DataType.INTEGER })
  public isCheckIn?: string;
  @Column({ field: "ENTRY_TIME", type: DataType.INTEGER })
  public entryTime?: Date;
  @Column({ field: "IS_ENTRY", type: DataType.INTEGER })
  public isEntry?: string;
  @Column({ field: "IS_SYNC", type: DataType.INTEGER })
  public isSync?: string;
  @Column({ field: "PERMIT_TIME_START", type: DataType.INTEGER })
  public permitTimeStart?: Date;
  @Column({ field: "PERMIT_TIME_END", type: DataType.INTEGER })
  public permitTimeEnd?: Date;
  @Column({ field: "CREATE_DATE", type: DataType.INTEGER })
  public createDate?: Date;
  @Column({ field: "CREATE_USER", type: DataType.INTEGER })
  public createUser?: string;
}
