import express from "express";
import moment from "moment";

export default function apiResponse(
  res: express.Response,
  entity: string,
  version: string,
  data: any,
  statusCode?: number
) {
  return res.status(statusCode || 200).json({
    type: entity,
    version,
    generated_timestamp: moment().toISOString(true),
    data,
  });
}
